//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
#include <math.h>
#include "complexo.h"
#include "Unit100.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------
 AnsiString complexPrint(Complexo &c)
{
int prec=2, dig=10;
TFloatFormat form=00.00;
 if ( c.obterImag() == 0 )
  {
    return (FloatToStrF(c.obterReal(),form,prec,dig));
  }
  else if ( c.obterImag() > 0 )
  {
        return (FloatToStrF(c.obterReal(),form,prec,dig)+
                "+"+FloatToStrF(c.obterImag(),form,prec,dig)+" j");
  }
  else
  {

    return (FloatToStrF(c.obterReal(),form,prec,dig)+
                "-"+FloatToStrF(-c.obterImag(),form,prec,dig)+" j");
  }
  }
void __fastcall TForm1::Button1Click(TObject *Sender)
{
AnsiString s1,s2,s3;
double r1,r2,i1,i2;

r1=StrToFloat(Edit1->Text);
i1=StrToFloat(Edit2->Text);
r2=StrToFloat(Edit3->Text);
i2=StrToFloat(Edit4->Text);

s1=FloatToStr(r1)+"+"+FloatToStr(i1)+" j";
s2=FloatToStr(r2)+"+"+FloatToStr(i2)+" j";
Complexo c1(r1,i1),
  c2(r2,i2),c3;

Memo1->Lines->Clear();
Memo1->Lines->Add(s1);
Memo1->Lines->Add(s2);
Memo1->Lines->Add("c1.ang()=");
Memo1->Lines->Add(FloatToStr(c1.obterAngulo()));
Memo1->Lines->Add("c1.modulo()=");
Memo1->Lines->Add(FloatToStr(c1.obterModulo()));
c3=c1+c2;
Memo1->Lines->Add("      c3=c1+c2");
Memo1->Lines->Add(complexPrint(c3));
Memo1->Lines->Add("      c4=c1*c2");
Complexo c4=c1*c2;
Memo1->Lines->Add(complexPrint(c4));
Memo1->Lines->Add("      c5=c1-c2");
Complexo c5=c1-c2;
Memo1->Lines->Add(complexPrint(c5));
Memo1->Lines->Add("      c6=c1/c2");
Complexo c6=c1/c2;
Memo1->Lines->Add(complexPrint(c6));
Memo1->Lines->Add("      c7=c1/c1");
Complexo c7=c1/c1;
Memo1->Lines->Add(complexPrint(c7));

Edit5->Text= c3.complexOut();
Edit6->Text= c5.complexOut();
Edit7->Text= c4.complexOut();
Edit8->Text= c6.complexOut();
}

//---------------------------------------------------------------------------

void __fastcall TForm1::Vem1Click(TObject *Sender)
{
// Label8->Caption="Vem";
}
//---------------------------------------------------------------------------

void __fastcall TForm1::Revira1Click(TObject *Sender)
{
//Label8->Caption="Revira";
}
//---------------------------------------------------------------------------

